curl --request PATCH \
--url https://api.mnemom.ai/v1/agents/{agent_id}/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_json": {
"card_id": "<string>",
"agent_id": "<string>",
"is_active": true,
"card_json": {},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z"
},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
]
}
'{
"updated": true,
"card_id": "<string>"
}Requires ServiceRole authentication. This endpoint is only accessible to platform administrators with the Supabase service role key. Regular API keys and user tokens cannot access this endpoint.
Update the alignment card for an agent.
curl --request PATCH \
--url https://api.mnemom.ai/v1/agents/{agent_id}/card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"card_json": {
"card_id": "<string>",
"agent_id": "<string>",
"is_active": true,
"card_json": {},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
],
"issued_at": "2023-11-07T05:31:56Z"
},
"conscience_values": [
{
"type": "BOUNDARY",
"name": "<string>",
"content": "<string>"
}
]
}
'{
"updated": true,
"card_id": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://mnemomllc-feat-aip-output-analysis-docs.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Supabase service role key for admin and service endpoints
Agent identifier (e.g. smolt-abc123)